using Microsoft.Xna.Framework;

namespace Kav
{
    public struct DirectionalLight
    {
        public Vector3 Direction { get; }
        public Color Color { get; }
        public float Intensity { get; }

        public DirectionalLight(Vector3 direction, Color color, float intensity = 1f)
        {
            Direction = direction;
            Color = color;
            Intensity = intensity;
        }
    }
}
